Scales an image proportionally 2x

- « Imagick::listRegistry

- Imagick::mapImage »

- PHP Manual
- Imagick
- Scales an image proportionally 2x

# Imagick::magnifyImage

(PECL imagick 2, PECL imagick 3)

Imagick::magnifyImage — Scales an image proportionally 2x

### Description

public Imagick::magnifyImage(): bool

Is a convenience method that scales an image proportionally to twice its original size.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Examples

Example #1 Imagick::magnifyImage()

    <?phpfunction magnifyImage($imagePath) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->magnifyImage();    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>